Subject: bug#62751: 29.0.90; New libraries that still need to be assigned to packages

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2023 19:52:03 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 1 Oct 2023 08:46:46 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> +4.  Check that all new Lisp libraries belong to sensible packages.
> >> +    Run "make -C lisp finder-data" and check the diff of the generated
> >> +    file against the previously released Emacs version to see what has
> >> +    changed.
> >> +
> >
> > This could benefit from some criteria for what is and isn't reasonable
> > in these diffs, or what to do with the differences.  Because otherwise
> > "check the diff" doesn't tell how to check it.
> 
> I didn't put anything, because I don't know how to summarize that in a
> few short words.  Ideas for how to do that are welcome.

Well, if you tell it in as many words as you need (or point me to
where it was already described up-thread), I could try suggesting a
concise version.